using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using Telerik.WinControls;

namespace Telerik.QuickStart.WinControls
{
    public class RadCarousel: RadControl
    {
        private RadCarouselElement carouselElement;
        
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public RadCarouselElement CarouselElement
        {
            get
            {
                return this.carouselElement;
            }
        }

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        [Browsable(true), Category(RadDesignCategory.DataCategory)]
        [RadNewItem("Item", false)]
        public RadItemCollection Items
        {
            get
            {
                return this.carouselElement.Items;
            }
        }


        protected override void CreateChildItems(RadElement parent)
        {
            this.carouselElement = new RadCarouselElement();
            parent.Children.Add(this.carouselElement);
        }
    }
}
